Subject: Re: cygstart, mutt or mailcap?
From: Ajay Simha <[email-masked]>
To: [email-masked]
Cc: Ajay Simha <[email-masked]>
Date: Fri, 21 Feb 2003 09:52:16 -0500

On Fri Feb 21 09:33:58 2003, Igor Pechtchanski wrote:
> On Fri, 21 Feb 2003, Ajay Simha wrote:
> 
> > Hi,
> >
> > This is what my .mailcap looks like:
> >
> > ===========================================
> > text/html; lynx -dump %s; copiousoutput; nametemplate=3D%s.html
> > Application/MSWORD;      cygstart %s; copiousoutput;
> > Application/VND.MS-EXCEL; cygstart %s; copiousoutput;
> > Application/PDF; cygstart %s; copiousoutput;
> > Application/vnd.ms-powerpoint; cygstart %s; copiousoutput;
> > Application/MSEXCEL; cygstart %s; copiousoutput;
> > Application/octet-stream; cygstart %s; copiousoutput;
> > ===========================================
> >
> > I'm using mutt 1.4i. When I try to view a word doc it lauches fine but
> > in the middle of doing other things like reading email or doing
> > something else my word doc seems to get corrupted.
> >
> > However I don't see this problem if I save the file and *then* run
> > cygstart or directly open it in word.
> >
> > BTW here is where the tmp file is created:
> >
> > [asimha@asimha-w2k02 ~]$ ls -lt /tmp
> > ls: /tmp/mutt-asimha-w2k02-1736-194: No such file or directory
> > ls: /tmp/mutt-asimha-w2k02-1736-33: No such file or directory
> > total 4550
> > -rw-------    1 asimha   None       483328 Feb 21 02:41 Dell-lab-summary.001736.doc
> > -rwxrwxrwx    1 asimha   ????????      162 Feb 21 02:41 ~$ll-lab-summary.001736.doc
> > drwxrwxrwx+  12 asimha   None         8192 Feb 21 02:22 aspell-0.50.3
> > -rwxrwxrwx    1 Administ None      3962880 Feb 21 02:18 aspell-0.50.3.tar
> > -rw-rw-rw-    1 asimha   None          187 Feb 21 01:47 lpr.log
> > -rw-rw-rw-    1 asimha   None       201918 Feb 21 00:39 XWinrl.log
> > [asimha@asimha-w2k02 ~]$
> >
> > Any clues here?
> >
> > Thanks,
> > -ajay
> 
> Ajay,
> 
> Two WAGs:
> 1) Is your /tmp mount binary or text?  If text, try remounting as binary.
> Also see if adding "binmode" to your $CYGWIN helps.
> 2) This one's really wild, but I know Windews has this stupid dependence
> on the name of the file.  Try using the nametemplate trick ("%s.doc", or
> something), and see if it helps.
> 	Igor

Hey thanks for the quick reply.

Regarding 2) it *is* a .doc if not the default windows handler would not work for it.
Regarding 1) :
[asimha@asimha-w2k02 /etc]$ mount
D:\cygwin\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type system (binmode)
D:\cygwin\bin on /usr/bin type user (binmode)
D:\cygwin\lib on /usr/lib type user (binmode)
D:\cygwin on / type user (binmode)
c: on /cygdrive/c type user (binmode,noumount)
d: on /cygdrive/d type user (binmode,noumount)
z: on /cygdrive/z type user (binmode,noumount)
[asimha@asimha-w2k02 /etc]$ df -k
Filesystem           1k-blocks      Used Available Use% Mounted on
D:\cygwin\usr\X11R6\lib\X11\fonts
                       5496088   2290917   3205171  42% /usr/X11R6/lib/X11/fonts
D:\cygwin\bin          5496088   2290917   3205171  42% /usr/bin
D:\cygwin\lib          5496088   2290917   3205171  42% /usr/lib
D:\cygwin              5496088   2290917   3205171  42% /
c:                     6289888   2666732   3623156  43% /cygdrive/c
d:                     5496088   2290917   3205171  42% /cygdrive/d
z:                      555604    555604         0 100% /cygdrive/z

is there a way to mount d:\cygwin\tmp as it's own file system or simply make cygwin
use my desktop as tmp?

Thanks,

-ajay
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> Oh, boy, virtual memory! Now I'm gonna make myself a really *big* RAMdisk!
>   -- /usr/games/fortune
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/